﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCGCM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCGCM_TICKETMAKE', 'T_OCGCM_TICKETMAKE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETMAKE_FNUMBER') CREATE INDEX IDX_OCGCM_TICKETMAKE_FNUMBER ON T_OCGCM_TICKETMAKE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETTAKE', 'T_OCGCM_TICKETTAKE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETTAKE_BILLNO') CREATE INDEX IDX_OCGCM_TICKETTAKE_BILLNO ON T_OCGCM_TICKETTAKE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETTAKEENTRY', 'T_OCGCM_TICKETTAKEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETTAKEENTRY_ID') CREATE INDEX IDX_OCGCM_TICKETTAKEENTRY_ID ON T_OCGCM_TICKETTAKEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETFLOW', 'T_OCGCM_TICKETFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETFLOW_FBILLNO') CREATE INDEX IDX_OCGCM_TICKETFLOW_FBILLNO ON T_OCGCM_TICKETFLOW ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETFLOW_TICKETID') CREATE INDEX IDX_OCGCM_TICKETFLOW_TICKETID ON T_OCGCM_TICKETFLOW ( FTICKETID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETFLOW_ORMID') CREATE INDEX IDX_OCGCM_TICKETFLOW_ORMID ON T_OCGCM_TICKETFLOW ( FBILLFORMID );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETPUBLISH', 'T_OCGCM_TICKETPUBLISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETPUBLISH_BILLNO') CREATE INDEX IDX_OCGCM_TICKETPUBLISH_BILLNO ON T_OCGCM_TICKETPUBLISH ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETRETURN', 'T_OCGCM_TICKETRETURN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETRETURN_BILLNO') CREATE INDEX IDX_OCGCM_TICKETRETURN_BILLNO ON T_OCGCM_TICKETRETURN ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETPUBLISHTIC', 'T_OCGCM_TICKETPUBLISHTIC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETPUBLISHTIC_ID') CREATE INDEX IDX_OCGCM_TICKETPUBLISHTIC_ID ON T_OCGCM_TICKETPUBLISHTIC ( FID );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETRETURNTICK', 'T_OCGCM_TICKETRETURNTICK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETRETURNTICK_ID') CREATE INDEX IDX_OCGCM_TICKETRETURNTICK_ID ON T_OCGCM_TICKETRETURNTICK ( FID );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETPUBLISHREC', 'T_OCGCM_TICKETPUBLISHREC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETPUBLISHREC_ID') CREATE INDEX IDX_OCGCM_TICKETPUBLISHREC_ID ON T_OCGCM_TICKETPUBLISHREC ( FID );


 EXEC P_ALTERPK 'PK_OCGCM_TICKETRETURNREFU', 'T_OCGCM_TICKETRETURNREFU', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCGCM_TICKETRETURNREFU_ID') CREATE INDEX IDX_OCGCM_TICKETRETURNREFU_ID ON T_OCGCM_TICKETRETURNREFU ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCGCM_constraint.sql **/
